Page MenuHomePhabricator

Deploy the MinervaNeue skin to cluster and remove code from MobileFrontend
Closed, ResolvedPublic

Description

This task tracks pulling out Minerva code from MobileFrontend

The plan is detailed here:
https://etherpad.wikimedia.org/p/minervabigswitcheroo

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 11:38 PM

Change 362447 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/tools/release@master] Deploy MinervaNeue

https://gerrit.wikimedia.org/r/362447

Change 362447 merged by jenkins-bot:
[mediawiki/tools/release@master] Deploy MinervaNeue

https://gerrit.wikimedia.org/r/362447

Jdlrobson renamed this task from Deploy dormant MinervaNeue to cluster to Deploy the MinervaNeue skin to cluster and remove code from MobileFrontend.Jun 30 2017, 6:38 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Raymond, Nemo_bis.

Change 358141 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Minerva is its own skin

https://gerrit.wikimedia.org/r/358141

Change 362448 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Minerva is its own skin

https://gerrit.wikimedia.org/r/362448

Change 362451 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Give MinervaNeue control of the minerva skin name

https://gerrit.wikimedia.org/r/362451

Harej awarded a token.Jul 3 2017, 10:29 PM

Change 358141 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Minerva is its own skin

https://gerrit.wikimedia.org/r/358141

Change 362448 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Minerva is its own skin

https://gerrit.wikimedia.org/r/362448

Change 362451 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Give MinervaNeue control of the minerva skin name

https://gerrit.wikimedia.org/r/362451

Change 364920 had a related patch set uploaded (by Chad; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.30.0-wmf.7] Give MinervaNeue control of the minerva skin name

https://gerrit.wikimedia.org/r/364920

Change 364921 had a related patch set uploaded (by Chad; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.30.0-wmf.9] Give MinervaNeue control of the minerva skin name

https://gerrit.wikimedia.org/r/364921

Change 365122 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.9] Minerva is its own skin

https://gerrit.wikimedia.org/r/365122

Change 364920 abandoned by Jdlrobson:
Give MinervaNeue control of the minerva skin name

Reason:
will just be done in wmf9

https://gerrit.wikimedia.org/r/364920

Change 365122 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.9] Minerva is its own skin

https://gerrit.wikimedia.org/r/365122

Change 364921 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.30.0-wmf.9] Give MinervaNeue control of the minerva skin name

https://gerrit.wikimedia.org/r/364921

We hit some snags in deployment today after merging the following patches:
https://gerrit.wikimedia.org/r/#/q/status:merged+branch:wmf/1.30.0-wmf.9

On wmf7 (enwiki) in mw-debug-1001 I was seeing some very weird behaviour with the Minerva skin enabled - styles were all messed up.
When we disabled the MinervaNeue extension we got fatals on wmf9 which requires it.

So we reverted the patch from wmf9 that removed Minerva from MobileFrontend - it still contains the skin.

Next steps

wmf-next

MinervaNeue will need to be enabled since MobileFrontend master branch no longer contains the skin.
wmf9 looks like it should be safe - so once we have forgotten about wmf7 I'd recommend enabling it.

The CSS issue in wmf7

According to logstash:

[WWfkcApAIHsAAFnNloQAAAAH] /w/load.php?debug=false&lang=en&modules=ext.cite.styles%7Cmediawiki.ui.button%2Cicon%7Cskins.minerva.base.reset%2Cstyles%7Cskins.minerva.content.styles%7Cskins.minerva.icons.images%7Cskins.minerva.print.styles%7Cskins.minerva.tablet.styles&only=styles&skin=minerva   Less_Exception_Compiler from line 49 of /srv/mediawiki/php-1.30.0-wmf.7/vendor/oyejorge/less.php/lib/Less/Tree/Variable.php: variable @contentPadding is undefined in file /srv/mediawiki/php-1.30.0-wmf.7/skins/MinervaNeue/resources/skins.minerva.base.styles/ui.less in ui.less on line 438, column 16
436| .warningbox,
437| .mw-revision {
438| 	padding-left: @contentPadding;
439| 	padding-right: @contentPadding;
440| }
441|

This is weird as it suggests MinervaHooks::onRegistration is not working and not registering the LESS variables to $wgResourceLoaderLESSImportPaths
it's also weird as it suggests skins.minerva.base.styles is coming from the Minerva skin rather than the MobileFrontend extension.

After some debugging I've worked out this was because https://gerrit.wikimedia.org/r/#/c/357671/ was not in wmf7.

MinervaNeue when enabled should be safe for wmf9

Change 365875 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Minerva is live everywhere

https://gerrit.wikimedia.org/r/365875

Change 365875 merged by jenkins-bot:
[operations/mediawiki-config@master] Minerva is live everywhere

https://gerrit.wikimedia.org/r/365875

Jdlrobson closed this task as Resolved.Jul 17 2017, 11:39 PM
Jdlrobson claimed this task.
Jdlrobson added subscribers: thcipriani, demon.

Finally this is done. Currently Minerva is installed on the cluster. It is dormant and will "become awake" during the next train. Thanks @demon and @thcipriani for your help and patience in making this happen.